POST /data/news/

Create a new news entry with data provided in the request body. JSON format is expected.

application/json

Body Required

  • title string Required
  • project_id string(uuid) Required
  • content string

Responses

  • 201 application/json

    News entry created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • title string
    • project_id string(uuid)
    • content string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/news/
curl -X POST "http://api.example.com/data/news/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Project Update",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "content": "News content text"
}'
import requests

url = "http://api.example.com/data/news/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "title": "Project Update",
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "content": "News content text"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/news/' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"title":"Project Update","project_id":"a24a6ea4-ce75-4665-a070-57453082c25","content":"News content text"}'
Request examples
{
  "title": "Project Update",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "content": "News content text"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "title": "Project Update",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "content": "News content text",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}